GuiCommand: Name: Draft FlipDimension MenuLocation: Modification , Flip dimension Workbenches: Draft_Workbench
Draft FlipDimension
Description
The Draft FlipDimension command rotates the dimension text of selected Draft Dimensions 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.
Usage
- Select one or more Draft Dimensions.
- There are several ways to invoke the command:
- Press the
Flip dimension button.
- Select the Modification →
Flip dimension option from the menu.
- Press the
Notes
- Draft Dimensions also have a Flip Text property. When set to
True
the text is rotated 180° around the normal direction. This can be combined with the effect of this command.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To flip a Draft Dimension invert its Normal
property.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200
dimension.Normal = dimension.Normal.negative()
doc.recompute()
⏵ documentation index > Draft > Draft FlipDimension
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Draft_FlipDimension.md